IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2002:d400::/24- First address
2002:d400::- Last address
2002:d4ff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2002:d400:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
4.d.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:d400::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:d400::/32 | 2002:d400:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:d401::/32 | 2002:d401:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:d402::/32 | 2002:d402:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:d403::/32 | 2002:d403:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:d404::/32 | 2002:d404:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:d405::/32 | 2002:d405:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:d406::/32 | 2002:d406:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:d407::/32 | 2002:d407:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:d408::/32 | 2002:d408:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:d409::/32 | 2002:d409:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:d40a::/32 | 2002:d40a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:d40b::/32 | 2002:d40b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:d40c::/32 | 2002:d40c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:d40d::/32 | 2002:d40d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:d40e::/32 | 2002:d40e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:d40f::/32 | 2002:d40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:d410::/32 | 2002:d410:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:d411::/32 | 2002:d411:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:d412::/32 | 2002:d412:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:d413::/32 | 2002:d413:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:d414::/32 | 2002:d414:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:d415::/32 | 2002:d415:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:d416::/32 | 2002:d416:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:d417::/32 | 2002:d417:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:d418::/32 | 2002:d418:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:d419::/32 | 2002:d419:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:d41a::/32 | 2002:d41a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:d41b::/32 | 2002:d41b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:d41c::/32 | 2002:d41c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:d41d::/32 | 2002:d41d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:d41e::/32 | 2002:d41e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:d41f::/32 | 2002:d41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:d420::/32 | 2002:d420:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:d421::/32 | 2002:d421:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:d422::/32 | 2002:d422:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:d423::/32 | 2002:d423:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:d424::/32 | 2002:d424:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:d425::/32 | 2002:d425:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:d426::/32 | 2002:d426:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:d427::/32 | 2002:d427:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:d428::/32 | 2002:d428:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:d429::/32 | 2002:d429:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:d42a::/32 | 2002:d42a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:d42b::/32 | 2002:d42b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:d42c::/32 | 2002:d42c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:d42d::/32 | 2002:d42d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:d42e::/32 | 2002:d42e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:d42f::/32 | 2002:d42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:d430::/32 | 2002:d430:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:d431::/32 | 2002:d431:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:d432::/32 | 2002:d432:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:d433::/32 | 2002:d433:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:d434::/32 | 2002:d434:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:d435::/32 | 2002:d435:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:d436::/32 | 2002:d436:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:d437::/32 | 2002:d437:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:d438::/32 | 2002:d438:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:d439::/32 | 2002:d439:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:d43a::/32 | 2002:d43a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:d43b::/32 | 2002:d43b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:d43c::/32 | 2002:d43c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:d43d::/32 | 2002:d43d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:d43e::/32 | 2002:d43e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:d43f::/32 | 2002:d43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:d440::/32 | 2002:d440:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:d441::/32 | 2002:d441:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:d442::/32 | 2002:d442:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:d443::/32 | 2002:d443:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:d444::/32 | 2002:d444:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:d445::/32 | 2002:d445:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:d446::/32 | 2002:d446:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:d447::/32 | 2002:d447:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:d448::/32 | 2002:d448:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:d449::/32 | 2002:d449:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:d44a::/32 | 2002:d44a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:d44b::/32 | 2002:d44b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:d44c::/32 | 2002:d44c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:d44d::/32 | 2002:d44d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:d44e::/32 | 2002:d44e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:d44f::/32 | 2002:d44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:d450::/32 | 2002:d450:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:d451::/32 | 2002:d451:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:d452::/32 | 2002:d452:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:d453::/32 | 2002:d453:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:d454::/32 | 2002:d454:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:d455::/32 | 2002:d455:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:d456::/32 | 2002:d456:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:d457::/32 | 2002:d457:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:d458::/32 | 2002:d458:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:d459::/32 | 2002:d459:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:d45a::/32 | 2002:d45a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:d45b::/32 | 2002:d45b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:d45c::/32 | 2002:d45c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:d45d::/32 | 2002:d45d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:d45e::/32 | 2002:d45e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:d45f::/32 | 2002:d45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:d460::/32 | 2002:d460:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:d461::/32 | 2002:d461:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:d462::/32 | 2002:d462:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:d463::/32 | 2002:d463:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:d464::/32 | 2002:d464:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:d465::/32 | 2002:d465:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:d466::/32 | 2002:d466:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:d467::/32 | 2002:d467:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:d468::/32 | 2002:d468:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:d469::/32 | 2002:d469:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:d46a::/32 | 2002:d46a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:d46b::/32 | 2002:d46b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:d46c::/32 | 2002:d46c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:d46d::/32 | 2002:d46d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:d46e::/32 | 2002:d46e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:d46f::/32 | 2002:d46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:d470::/32 | 2002:d470:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:d471::/32 | 2002:d471:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:d472::/32 | 2002:d472:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:d473::/32 | 2002:d473:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:d474::/32 | 2002:d474:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:d475::/32 | 2002:d475:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:d476::/32 | 2002:d476:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:d477::/32 | 2002:d477:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:d478::/32 | 2002:d478:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:d479::/32 | 2002:d479:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:d47a::/32 | 2002:d47a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:d47b::/32 | 2002:d47b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:d47c::/32 | 2002:d47c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:d47d::/32 | 2002:d47d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:d47e::/32 | 2002:d47e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:d47f::/32 | 2002:d47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:d480::/32 | 2002:d480:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:d481::/32 | 2002:d481:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:d482::/32 | 2002:d482:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:d483::/32 | 2002:d483:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:d484::/32 | 2002:d484:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:d485::/32 | 2002:d485:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:d486::/32 | 2002:d486:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:d487::/32 | 2002:d487:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:d488::/32 | 2002:d488:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:d489::/32 | 2002:d489:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:d48a::/32 | 2002:d48a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:d48b::/32 | 2002:d48b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:d48c::/32 | 2002:d48c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:d48d::/32 | 2002:d48d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:d48e::/32 | 2002:d48e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:d48f::/32 | 2002:d48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:d490::/32 | 2002:d490:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:d491::/32 | 2002:d491:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:d492::/32 | 2002:d492:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:d493::/32 | 2002:d493:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:d494::/32 | 2002:d494:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:d495::/32 | 2002:d495:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:d496::/32 | 2002:d496:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:d497::/32 | 2002:d497:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:d498::/32 | 2002:d498:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:d499::/32 | 2002:d499:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:d49a::/32 | 2002:d49a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:d49b::/32 | 2002:d49b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:d49c::/32 | 2002:d49c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:d49d::/32 | 2002:d49d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:d49e::/32 | 2002:d49e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:d49f::/32 | 2002:d49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:d4a0::/32 | 2002:d4a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:d4a1::/32 | 2002:d4a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:d4a2::/32 | 2002:d4a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:d4a3::/32 | 2002:d4a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:d4a4::/32 | 2002:d4a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:d4a5::/32 | 2002:d4a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:d4a6::/32 | 2002:d4a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:d4a7::/32 | 2002:d4a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:d4a8::/32 | 2002:d4a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:d4a9::/32 | 2002:d4a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:d4aa::/32 | 2002:d4aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:d4ab::/32 | 2002:d4ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:d4ac::/32 | 2002:d4ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:d4ad::/32 | 2002:d4ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:d4ae::/32 | 2002:d4ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:d4af::/32 | 2002:d4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:d4b0::/32 | 2002:d4b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:d4b1::/32 | 2002:d4b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:d4b2::/32 | 2002:d4b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:d4b3::/32 | 2002:d4b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:d4b4::/32 | 2002:d4b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:d4b5::/32 | 2002:d4b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:d4b6::/32 | 2002:d4b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:d4b7::/32 | 2002:d4b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:d4b8::/32 | 2002:d4b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:d4b9::/32 | 2002:d4b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:d4ba::/32 | 2002:d4ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:d4bb::/32 | 2002:d4bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:d4bc::/32 | 2002:d4bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:d4bd::/32 | 2002:d4bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:d4be::/32 | 2002:d4be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:d4bf::/32 | 2002:d4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:d4c0::/32 | 2002:d4c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:d4c1::/32 | 2002:d4c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:d4c2::/32 | 2002:d4c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:d4c3::/32 | 2002:d4c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:d4c4::/32 | 2002:d4c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:d4c5::/32 | 2002:d4c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:d4c6::/32 | 2002:d4c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:d4c7::/32 | 2002:d4c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:d4c8::/32 | 2002:d4c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:d4c9::/32 | 2002:d4c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:d4ca::/32 | 2002:d4ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:d4cb::/32 | 2002:d4cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:d4cc::/32 | 2002:d4cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:d4cd::/32 | 2002:d4cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:d4ce::/32 | 2002:d4ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:d4cf::/32 | 2002:d4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:d4d0::/32 | 2002:d4d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:d4d1::/32 | 2002:d4d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:d4d2::/32 | 2002:d4d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:d4d3::/32 | 2002:d4d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:d4d4::/32 | 2002:d4d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:d4d5::/32 | 2002:d4d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:d4d6::/32 | 2002:d4d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:d4d7::/32 | 2002:d4d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:d4d8::/32 | 2002:d4d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:d4d9::/32 | 2002:d4d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:d4da::/32 | 2002:d4da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:d4db::/32 | 2002:d4db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:d4dc::/32 | 2002:d4dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:d4dd::/32 | 2002:d4dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:d4de::/32 | 2002:d4de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:d4df::/32 | 2002:d4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:d4e0::/32 | 2002:d4e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:d4e1::/32 | 2002:d4e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:d4e2::/32 | 2002:d4e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:d4e3::/32 | 2002:d4e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:d4e4::/32 | 2002:d4e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:d4e5::/32 | 2002:d4e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:d4e6::/32 | 2002:d4e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:d4e7::/32 | 2002:d4e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:d4e8::/32 | 2002:d4e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:d4e9::/32 | 2002:d4e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:d4ea::/32 | 2002:d4ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:d4eb::/32 | 2002:d4eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:d4ec::/32 | 2002:d4ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:d4ed::/32 | 2002:d4ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:d4ee::/32 | 2002:d4ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:d4ef::/32 | 2002:d4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:d4f0::/32 | 2002:d4f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:d4f1::/32 | 2002:d4f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:d4f2::/32 | 2002:d4f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:d4f3::/32 | 2002:d4f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:d4f4::/32 | 2002:d4f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:d4f5::/32 | 2002:d4f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:d4f6::/32 | 2002:d4f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:d4f7::/32 | 2002:d4f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:d4f8::/32 | 2002:d4f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:d4f9::/32 | 2002:d4f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:d4fa::/32 | 2002:d4fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:d4fb::/32 | 2002:d4fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:d4fc::/32 | 2002:d4fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:d4fd::/32 | 2002:d4fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:d4fe::/32 | 2002:d4fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:d4ff::/32 | 2002:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |